SystemOrganization addCategory: #AdministracionTPI!
SystemOrganization addCategory: #'AdministracionTPI-Persistencia'!
SystemOrganization addCategory: #'AdministracionTPI-Excepciones'!
SystemOrganization addCategory: #'AdministracionTPI-UI-Modelo'!
SystemOrganization addCategory: #'AdministracionTPI-UI-Vista'!

WATask subclass: #SeleccionDeComision
	instanceVariableNames: 'materiaSeleccionada comisionSeleccionada alumnoAInscribir'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Modelo'!

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 15:11'!
alumnoAInscribir
	^ alumnoAInscribir! !

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 15:11'!
alumnoAInscribir: anObject
	alumnoAInscribir := anObject! !

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:55'!
comisionSeleccionada
	^ comisionSeleccionada! !

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:55'!
comisionSeleccionada: anObject
	comisionSeleccionada := anObject! !

!SeleccionDeComision methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/30/2012 15:14'!
confirmarComision 

	^ self confirm: 'Detalles de la comision ',(self comisionSeleccionada asString),': ',
		'Horarios: ',self comisionSeleccionada horarios asString,'. ',
		'Confirmar?'! !

!SeleccionDeComision methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/30/2012 15:11'!
go

    [ self seleccionarComision.
      self confirmarComision ] whileFalse.
	self alumnoAInscribir agregarCurso: (MateriaCursada enComision: comisionSeleccionada).
    	self seleccionFinalizada.! !

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:49'!
materiaSeleccionada
	^ materiaSeleccionada! !

!SeleccionDeComision methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:49'!
materiaSeleccionada: anObject
	materiaSeleccionada := anObject! !

!SeleccionDeComision methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/30/2012 14:59'!
seleccionFinalizada

	self inform: 'Operacion Finalizada'! !

!SeleccionDeComision methodsFor: 'as yet unclassified' stamp: 'NataliaRodriguez 9/30/2012 15:07'!
seleccionarComision 

	comisionSeleccionada:= self chooseFrom: ((HomeComisiones current comisionesdeMateria: (self materiaSeleccionada)) asArray) caption: 'Seleccione una comision:'.
	comisionSeleccionada isNil ifTrue: [ self confirmarComision ]! !

WAComponent subclass: #BuscarAlumnoVista
	instanceVariableNames: 'modelo textoError'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Vista'!

!BuscarAlumnoVista class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/23/2012 14:41'!
canBeRoot 

	^true.! !

!BuscarAlumnoVista class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/27/2012 22:42'!
new

^super new modelo: (BuscarAlumnoModelo new).! !

!BuscarAlumnoVista methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 07:18'!
buscarAlumno

	self modelo buscarAlumno.
	textoError:= ''.! !

!BuscarAlumnoVista methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 07:20'!
cambiarLegajo: unLegajo

	self modelo cambiarLegajo: unLegajo.! !

!BuscarAlumnoVista methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 07:03'!
cambiarNombre: unNombre

	self modelo cambiarNombre: unNombre.! !

!BuscarAlumnoVista methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/30/2012 14:18'!
initialize 

	super initialize.
	self addDecoration: (GroupBoxDecoration new title: 'Buscar Alumno')! !

!BuscarAlumnoVista methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:45'!
modelo
	^ modelo! !

!BuscarAlumnoVista methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:45'!
modelo: anObject
	modelo := anObject! !

!BuscarAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:31'!
renderContentOn: html

   html form: [
	self renderFormularioDeBusqueda: html.
	self renderTablaDeAlumnos: html.
   ].! !

!BuscarAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:45'!
renderFormularioDeBusqueda: html

	"html text: 'Legajo: '. html textInput callback: [ : leg | self cambiarLegajo: leg]. html break."
	html text: 'Nombre: '. 
	html textInput callback: [ : nom | self cambiarNombre: nom].
	
	html div 
	  id: 'botones';
	  with:  [
			html button callback: [[ self buscarAlumno.] on: ExpectedNumberException do: [ : exception |  textoError:= exception messageText]]; with: 'Buscar'.
			html button callback: [self restaurarLista.]; with: 'Restaurar Lista'.		
	  ].
	"html label: textoError. html break."
! !

!BuscarAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:48'!
renderTablaDeAlumnos: html

html div
   id: 'tablaAlumnos';
   with: [
	html table: [ 
		html tableRow: [ 
			html tableHeading: 'Legajo'.
			html tableHeading: 'Nombre y Apellido'.
			html tableHeading: 'E-Mail'.
			html tableHeading: 'Direccion'.
		].
		(self modelo alumnosEncontrados) do: 
			[ : alumnoEncontrado | html tableRow: [
										html tableData: [ html text: (alumnoEncontrado legajo)].
										html tableData: [ html text: (alumnoEncontrado nombre, ' ', alumnoEncontrado apellido)].
										html tableData: [ html text: (alumnoEncontrado email)].
										html tableData: [ html text: (alumnoEncontrado direccion)].		    
								   ]
			]
	].
   ].! !

!BuscarAlumnoVista methodsFor: 'actions' stamp: 'PabloAlegre 9/29/2012 18:49'!
restaurarLista 

	self modelo restaurarLista! !

!BuscarAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:48'!
style

^ '
   #botones, #tablaAlumnos{
   	padding-top:25px;
   }
   body{
	border-style:ridge;padding: 5px
   }
   table{
  	border-collapse:collapse;
  	background-color:white;
   }
   th{
  	background-color:#CEF6EC;
   }
   table,th, td {
  	border:1px solid black;
   }
'! !

WAComponent subclass: #EstadisticasAlumnoVista
	instanceVariableNames: 'modelo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Vista'!

!EstadisticasAlumnoVista class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/20/2012 20:10'!
canBeRoot 
^true.! !

!EstadisticasAlumnoVista class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/29/2012 11:52'!
new

^super new modelo: (EstadisticasAlumnoModelo new).! !

!EstadisticasAlumnoVista methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/27/2012 19:42'!
initialize

	super initialize.
	self addDecoration: (GroupBoxDecoration  new title: 'Estadisticas del Alumno').
	! !

!EstadisticasAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo
	^ modelo! !

!EstadisticasAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 17:19'!
modelo: anObject
	modelo := anObject! !

!EstadisticasAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/27/2012 19:24'!
renderContentOn: html

html form: [
	self renderDatosAlumno: html.
	self renderEstadoAlumno: html.
	self renderEvolucionPorCuatrimestre: html.
].! !

!EstadisticasAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:13'!
renderDatosAlumno: html

	html div: ('Alumno: ', self modelo nombreAlumno, ' ', self modelo apellidoAlumno).	
	html div: ('Legajo ', (self modelo legajoAlumno)). ! !

!EstadisticasAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:22'!
renderEstadoAlumno: html

  html form:[
	html div 
	  id: 'carreraActual';
	  with: [html text: 'Carrera: '. 
		    (html select)
			list: #('TPI' 'LDS');
			callback: [:seleccionada | self modelo carreraActual: seleccionada.]. ].
	
	html div 
	  id: #estadoAlumno; 
	  with: [html text: 'Estado: Activo' ", modelo estadoEn: carreraActual"]. 
		
	html div: 'Materias Aprobadas: ', (self modelo materiasAprobadas asString ), ' de ', self modelo cantidadDeMaterias asString. 
	html div: 'Materias Recursadas: ', (self modelo materiasRecursadas asString ). 
	html div:  'Materias Actuales: ', (self modelo materiasActuales asString ).
	html div:  'Auxiliar: ',  self modelo alumnoEsAuxiliar.
	html div:  'Promedio: ', self modelo promedioActual asString.
  ].! !

!EstadisticasAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 13:27'!
renderEvolucionPorCuatrimestre: html

html div
  id:'evolucion';
  with:[
	html table: [
	  html tableRow: [
		html tableHeading: 'Materia'.
		html tableHeading: 'Cuatrimestre'.
		html tableHeading: 'Comision'.
		html tableHeading: 'Resultado'.
		html tableHeading: 'Nota'.
	  ].	
	
	(self modelo materiasCarreraActual) do: 
	  [ :mat | html tableRow: [ html tableData: [html text: (mat nombre)].     
							 html tableData: [html text: (mat cuatrimestre)].
							 html tableData: [html text: (mat comision numero)].
							 html tableData: [html text: (mat estado)].
							 html tableData: [html text: (mat nota )].
	  ]].
	]
  ].! !

!EstadisticasAlumnoVista methodsFor: 'style' stamp: 'NataliaRodriguez 9/30/2012 13:28'!
style

^ '
   #carreraActual, #estadoAlumno, #evolucion {
	display:block;
   	padding-top:25px;
   }
   body{
	border-style:ridge;
	padding: 5px
   }
   table{
  	border-collapse:collapse;
  	background-color:white;
   }
   th{
  	background-color:#CEF6EC;
   }
   table,th, td {
  	border:1px solid black;
   }
'! !

WAComponent subclass: #InscribirAlumnoVista
	instanceVariableNames: 'modelo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Vista'!

!InscribirAlumnoVista class methodsFor: 'testing' stamp: 'PabloAlegre 9/23/2012 17:15'!
canBeRoot

	^true! !

!InscribirAlumnoVista class methodsFor: 'instance creation' stamp: 'NataliaRodriguez 9/30/2012 14:20'!
new

	^super new modelo: (InscribirAlumnoModelo new).! !

!InscribirAlumnoVista methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:10'!
agregarMaterias

"^self modelo agregarMaterias:  Argument expected ->"! !

!InscribirAlumnoVista methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:00'!
apellidoAlumnoAInscribir 
	^self modelo apellidoAlumnoAInscribir .! !

!InscribirAlumnoVista methodsFor: 'initialization' stamp: 'PabloAlegre 9/23/2012 17:21'!
initialize
	super initialize.
	self addDecoration: (GroupBoxDecoration  new title: 'Inscribir Alumno')! !

!InscribirAlumnoVista methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:00'!
legajoAlumnoAInscribir 
	^self modelo legajoAlumnoAInscribir  .! !

!InscribirAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:26'!
materiasDisponibles 

	^self modelo materiasDisponibles.! !

!InscribirAlumnoVista methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:01'!
materiasDisponiblesParaUnAlumno 
	^self modelo materiasDisponiblesParaUnAlumno.! !

!InscribirAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:26'!
materiasSeleccionadas 

	^self modelo materiasSeleccionadas.! !

!InscribirAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:58'!
modelo
	^ modelo! !

!InscribirAlumnoVista methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:58'!
modelo: anObject
	modelo := anObject! !

!InscribirAlumnoVista methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:00'!
nombreAlumnoAInscribir 
	^self modelo nombreAlumnoAInscribir.! !

!InscribirAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 14:09'!
renderBotonesParaInscribirAlumno: html

"(html button) callback: [ [ self agregarMaterias: materiasSeleccionadas. self save. self back]]; with: 'Confirmar'.
(html button) callback: [ self back ]; with: 'Cancelar' ] ]]."! !

!InscribirAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 15:12'!
renderContentOn: html

	self renderDatosBasicosAlumno: html.
	html form:[
	html table: [
		html tableRow: [
			html tableHeading: 'Materias Seleccionadas'.
			html tableHeading: '                               '.
			html tableHeading: 'Materias Disponibles' ].
		html tableRow: [
			html tableData: [
				html table: [
					html tableRow: [ 
						html tableHeading: 'Materia'.
						html tableHeading: 'Quitar' ].
						self materiasSeleccionadas do: [ : materia |
							html tableRow: [ 
								html tableData: materia nombre.
								html tableData: [ 
									(html button) callback: [ self materiasDisponibles add: materia ];with: '>>>>>' ]
											] 
																]
							]
							 ].
			html tableData: [ '                         ' ].
			html tableData: [  
				html table: [
					html tableRow: [
								html tableHeading: 'Materia'.
								html tableHeading: 'Agregar' ].
								self materiasDisponibles do: [ : materia |
									html tableRow: [
										html tableData: materia nombre.
										html tableData: [  (html button) callback: [ self call: (SeleccionDeComision new materiaSeleccionada: materia; alumnoAInscribir: (self modelo alumnoAInscribir)) ]; with: '<<<<<' ]
													]
														]
							]
							]
					]
				].
		]! !

!InscribirAlumnoVista methodsFor: 'rendering' stamp: 'NataliaRodriguez 9/30/2012 14:03'!
renderDatosBasicosAlumno: html

	html div: 'Alumno: ', self nombreAlumnoAInscribir, ' ', self apellidoAlumnoAInscribir.
	html div: 'Legajo: ', self legajoAlumnoAInscribir.
! !

!InscribirAlumnoVista methodsFor: 'style' stamp: 'NataliaRodriguez 9/30/2012 13:28'!
style
 ^'
   body{
	border-style:ridge;
	padding: 5px
   }
   table{
  	border-collapse:collapse;
  	background-color:white;
   }
   th{
  	background-color:#CEF6EC;
   }
   table,th, td {
  	border:1px solid black;
   }
'! !

WAWindowDecoration subclass: #GroupBoxDecoration
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Vista'!

!GroupBoxDecoration methodsFor: 'rendering' stamp: 'NatiRodriguez 9/22/2012 14:57'!
renderCloseButtonOn: html! !

!GroupBoxDecoration methodsFor: 'rendering' stamp: 'NatiRodriguez 9/22/2012 13:37'!
style

^ '.window-titlebar {background-color: #aaaaaa; padding: 5px; margin-bottom: 5px}
	    .window-close {float: right}
	   .window-title {}
	    .window-content {clear: both}
	'! !

Object subclass: #Alumno
	instanceVariableNames: 'nombre apellido dni direccion telefono legajo email esAuxiliar materiasCursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Alumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/29/2012 18:01'!
conMateriasCursadas
 | alumno cursoIntro cursoObj1 cursoOrga cursoMate1|
 alumno:= Alumno conNombre: 'Pablo' conApellido: 'Alegre' conDNI: 35000000 conDireccion: 'Florencio Varela' conEmail: 'pablo@gmail.com'  yLegajo: 20000.
cursoIntro:= MateriaCursada enComision: (Comision numero: 1 delCuatrimestre: '2008-c1' deLaMateria: (HomeMaterias current  get: 'InPr')).
cursoObj1:= MateriaCursada enComision: (Comision numero: 3 delCuatrimestre: '2008-c1' deLaMateria:  (HomeMaterias current  get: 'Orga')).
cursoOrga:= MateriaCursada enComision: (Comision numero: 2 delCuatrimestre: '2008-c2' deLaMateria:  (HomeMaterias current  get: 'Mate1')).
cursoMate1:= MateriaCursada enComision: (Comision numero: 1 delCuatrimestre: '2008-c2' deLaMateria:  (HomeMaterias current  get: 'Obj1')).
cursoIntro estado: 'Aprobado'; nota: 8.
cursoIntro comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoObj1 estado: 'En curso'; nota: 7.
cursoObj1 comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoOrga estado: 'Pendiente'; nota: 5.
cursoOrga comision materia carreras add: (HomeCarreras current get: 'TPI').
cursoMate1 estado: 'Recursado'; nota: 3.
cursoMate1 comision materia carreras add: (HomeCarreras current get: 'TPI').
 alumno materiasCursadas add: cursoIntro.
 alumno materiasCursadas add: cursoObj1.
 alumno materiasCursadas add: cursoOrga.
 alumno materiasCursadas add: cursoMate1.
 ^alumno.
! !

!Alumno class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:05'!
conNombre: unNombre conApellido: unApellido conDNI: unDNI conDireccion: unaDireccion conEmail: unEmail yLegajo: unLegajo
 ^super new nombre: unNombre; apellido: unApellido; dni: unDNI; direccion: unaDireccion; email: unEmail; legajo: unLegajo; esAuxiliar: false; materiasCursadas: OrderedCollection new.


! !

!Alumno methodsFor: 'cursos' stamp: 'NataliaRodriguez 9/24/2012 18:07'!
agregarCurso: unaComision

	self materiasCursadas add: (MateriaCursada enComision: unaComision).! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido
	^ apellido! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
apellido: anObject
	apellido := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/27/2012 07:33'!
cantidadDeMateriasEn: unaCarrera conEstado: unEstado
 
	| cantidadDeMaterias |
	cantidadDeMaterias := 0.	
	self materiasCursadas do: [ : materiaCursada | ("(materiaCursada carreras contains: unaCarrera) and: "(materiaCursada estado = unEstado)) ifTrue: [cantidadDeMaterias := cantidadDeMaterias + 1]].
	^cantidadDeMaterias.! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion
	^ direccion! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
direccion: anObject
	direccion := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni
	^ dni! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
dni: anObject
	dni := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email
	^ email! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
email: anObject
	email := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar
	^ esAuxiliar! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:02'!
esAuxiliar: anObject
	esAuxiliar := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo
	^ legajo! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
legajo: anObject
	legajo := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:35'!
materiasActuales: unaCarrera
 
	^self cantidadDeMateriasEn: unaCarrera conEstado: 'En curso'! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:35'!
materiasAprobadas: unaCarrera
 
	^self cantidadDeMateriasEn: unaCarrera conEstado: 'Aprobado'! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/29/2012 18:29'!
materiasCarrera: unaCarrera

	^self materiasCursadas select: [ :materiaCursada | materiaCursada carreras includes: unaCarrera].! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:06'!
materiasCursadas
	^ materiasCursadas! !

!Alumno methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:06'!
materiasCursadas: anObject
	materiasCursadas := anObject! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/23/2012 11:36'!
materiasRecursadas: unaCarrera
 
	 ^self cantidadDeMateriasEn: unaCarrera conEstado: 'Recursado'! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre
	^ nombre! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
nombre: anObject
	nombre := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:31'!
printOn: aStream

    aStream nextPutAll: (self nombre,' ',self apellido).
! !

!Alumno methodsFor: 'estadisticas' stamp: 'PabloAlegre 9/27/2012 07:38'!
promedioActual
 
	| notas |
	notas:= (self materiasCursadas collect: [ :materiaCursada | (materiaCursada nota)]).
	notas:= notas fold: [ :nota1 :nota2 | nota1 + nota2].
 	^notas / (materiasCursadas size) asFloat.! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono
	^ telefono! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 9/14/2012 18:29'!
telefono: anObject
	telefono := anObject! !

Object subclass: #BuscarAlumnoModelo
	instanceVariableNames: 'alumnoBuscado alumnosDelSistema alumnosEncontrados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Modelo'!

!BuscarAlumnoModelo class methodsFor: 'instance creation' stamp: 'PabloAlegre 9/28/2012 07:25'!
new

	^super new initialize.! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnoBuscado
	^ alumnoBuscado! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnoBuscado: anObject
	alumnoBuscado := anObject! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnosDelSistema
	^ alumnosDelSistema! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnosDelSistema: anObject
	alumnosDelSistema := anObject! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnosEncontrados
	^ alumnosEncontrados! !

!BuscarAlumnoModelo methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 22:25'!
alumnosEncontrados: anObject
	alumnosEncontrados := anObject! !

!BuscarAlumnoModelo methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 07:52'!
buscarAlumno 

	(alumnoBuscado legajo isNil) ifTrue: [ ExpectedNumberException signal].  
	self alumnosEncontrados: (self alumnosDelSistema select: [ : alumno | (alumno legajo = self alumnoBuscado legajo) or: (alumno nombre includesSubString:  alumnoBuscado nombre)]).! !

!BuscarAlumnoModelo methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 07:22'!
cambiarLegajo: nuevoLegajo 

	self alumnoBuscado legajo: (nuevoLegajo asInteger).! !

!BuscarAlumnoModelo methodsFor: 'actions' stamp: 'PabloAlegre 9/28/2012 00:45'!
cambiarNombre: nuevoNombre 

	self alumnoBuscado nombre: nuevoNombre.! !

!BuscarAlumnoModelo methodsFor: 'initialization' stamp: 'PabloAlegre 9/28/2012 07:59'!
initialize 

	self alumnoBuscado: (Alumno new nombre: ''; apellido: ''; legajo: 0); 
		alumnosDelSistema: (HomeAlumnos current alumnos);
	 	alumnosEncontrados:  (self alumnosDelSistema).! !

!BuscarAlumnoModelo methodsFor: 'actions' stamp: 'PabloAlegre 9/29/2012 18:47'!
restaurarLista

	self alumnosEncontrados: (self alumnosDelSistema).! !

Object subclass: #Carrera
	instanceVariableNames: 'nombre materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Carrera class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/16/2012 18:21'!
llamada: unNombre

^super new nombre: unNombre; materias: OrderedCollection new.! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias
	^ materias! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
materias: anObject
	materias := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 9/29/2012 18:16'!
materiasDisponiblesPara: unAlumno
	|materiasAprobadas|
	materiasAprobadas:= (unAlumno materiasCursadas collect: [ : materia | (materia carreras includes: self) and: (materia estado  = 'Aprobado')]). 
	^self materias select: [ :materia | materiasAprobadas includesAllOf: (materia correlativas) ] ! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre
	^ nombre! !

!Carrera methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/16/2012 18:18'!
nombre: anObject
	nombre := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:30'!
printOn: aStream

    aStream nextPutAll: (self nombre).
! !

Object subclass: #Comision
	instanceVariableNames: 'numero cuatrimestre materia horarios docenteReal docenteRegistrado alumnosInscriptos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Comision class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:41'!
numero: numeroDeComision delCuatrimestre: anioYNumeroDeCuatrimestre deLaMateria: unaMateria

	^super new numero: numeroDeComision; cuatrimestre: anioYNumeroDeCuatrimestre; materia: unaMateria.! !

!Comision methodsFor: 'alumnos' stamp: 'PabloAlegre 9/23/2012 11:04'!
agregarAlumno: unAlumno

	self alumnosInscriptos add: unAlumno.! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:03'!
alumnosInscriptos
	^ alumnosInscriptos! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:03'!
alumnosInscriptos: anObject
	alumnosInscriptos := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
cuatrimestre
	^ cuatrimestre! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
cuatrimestre: anObject
	cuatrimestre := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteReal
	^ docenteReal! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteReal: anObject
	docenteReal := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteRegistrado
	^ docenteRegistrado! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
docenteRegistrado: anObject
	docenteRegistrado := anObject! !

!Comision methodsFor: 'alumnos' stamp: 'PabloAlegre 9/23/2012 11:05'!
eliminarAlumno: unAlumno

	self alumnosInscriptos remove: unAlumno.! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
horarios
	^ horarios! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
horarios: anObject
	horarios := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
materia
	^ materia! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:02'!
materia: anObject
	materia := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
numero
	^ numero! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 11:56'!
numero: anObject
	numero := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:33'!
printOn: aStream

    aStream nextPutAll: (self materia asString,'-',self cuatrimestre asString,'-',self numero asString).
! !

Object subclass: #EstadisticasAlumnoModelo
	instanceVariableNames: 'modelo carreraActual'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Modelo'!

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:25'!
alumnoEsAuxiliar 

(self modelo esAuxiliar) 
   ifTrue: [^'Si'] 
   ifFalse: [^'No']. ! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:17'!
apellidoAlumno
	^self modelo apellido.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:32'!
cantidadDeMaterias
	^self carreraActual materias size.! !

!EstadisticasAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/29/2012 11:15'!
carreraActual
	^ carreraActual! !

!EstadisticasAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/29/2012 11:15'!
carreraActual: anObject
	carreraActual := anObject! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:46'!
comisionMateria: unaMateria
 ^unaMateria comision numero.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:45'!
cuatrimestreMateria: unaMateria
 ^unaMateria cuatrimestre.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:27'!
estadoActualDeAlumnoEnCarrera
	^ self modelo estadoEn: self carreraActual.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:46'!
estadoMateria: unaMateria
 ^unaMateria estado.! !

!EstadisticasAlumnoModelo methodsFor: 'initialization' stamp: 'PabloAlegre 9/29/2012 13:17'!
initialize 

	self modelo: (HomeAlumnos current alumnos at: 1). 
	self carreraActual: (HomeCarreras current carreras at:1)! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:18'!
legajoAlumno
	^self modelo legajo asString.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:21'!
materiasActuales
	^ (self modelo materiasActuales: (self carreraActual)) asString.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'PabloAlegre 9/29/2012 18:09'!
materiasAprobadas
	^ (self modelo materiasAprobadas: (self carreraActual)) asString.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'PabloAlegre 9/29/2012 18:06'!
materiasCarreraActual
	^self modelo materiasCarrera: (self carreraActual).! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:21'!
materiasRecursadas
	^ (self modelo materiasRecursadas: (self carreraActual)) asString.! !

!EstadisticasAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/29/2012 11:15'!
modelo
	^ modelo! !

!EstadisticasAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/29/2012 11:15'!
modelo: anObject
	modelo := anObject! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:17'!
nombreAlumno
	^self modelo nombre.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:45'!
nombreMateria: unaMateria
 ^unaMateria nombre.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesCarrera' stamp: 'NataliaRodriguez 9/29/2012 11:46'!
notaFinalMateria: unaMateria
 ^unaMateria nota.! !

!EstadisticasAlumnoModelo methodsFor: 'accionesAlumno' stamp: 'NataliaRodriguez 9/29/2012 11:25'!
promedioActual
	^(self modelo promedioActual) asString.! !

Object subclass: #HomeAlumnos
	instanceVariableNames: 'alumnos'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeAlumnos class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/30/2012 13:01'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:24'!
alumnos
	^ alumnos! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:24'!
alumnos: anObject
	alumnos := anObject! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 07:25'!
get: numeroDeLegajo

	^(self alumnos select: [ : alumno | alumno legajo = numeroDeLegajo]) first.! !

!HomeAlumnos methodsFor: 'initialization' stamp: 'PabloAlegre 9/29/2012 17:39'!
initialize 

	alumnos:= OrderedCollection new.
	alumnos add: (Alumno conMateriasCursadas).
	alumnos add: (Alumno conNombre: 'Natalia' conApellido: 'Rodriguez' conDNI: 35111111 conDireccion: 'Quilmes' conEmail: 'nati@gmail.com'  yLegajo: 20111).
	alumnos add: (Alumno conNombre: 'Nahuel' conApellido: 'Garbezza' conDNI: 35222222 conDireccion: 'Ranelagh' conEmail: 'nahuel@gmail.com'  yLegajo: 20222).
	alumnos add: (Alumno conNombre: 'Ronny' conApellido: 'De Jesus' conDNI: 35333333 conDireccion: 'Berazategui' conEmail: 'ronny@gmail.com'  yLegajo: 20333).
	alumnos add: (Alumno conNombre: 'Susana' conApellido: 'Rosito' conDNI: 35444444 conDireccion: 'Berazategui' conEmail: 'susi@gmail.com'  yLegajo: 20444).
	alumnos add: (Alumno conNombre: 'Federico' conApellido: 'Sawady' conDNI: 35555555 conDireccion: 'Quilmes' conEmail: 'sawa@gmail.com'  yLegajo: 20555).
	alumnos add: (Alumno conNombre: 'Maria Laura' conApellido: 'Medici' conDNI: 35666666 conDireccion: 'Ezpeleta' conEmail: 'marilau@gmail.com'  yLegajo: 20666).
	alumnos add: (Alumno conNombre: 'Christian' conApellido: 'Ruiz Diaz' conDNI: 35777777 conDireccion: 'Berazategui' conEmail: 'christiand@gmail.com'  yLegajo: 20777).
	alumnos add: (Alumno conNombre: 'Rocio' conApellido: 'Amaya' conDNI: 35888888 conDireccion: 'Wilde' conEmail: 'rocio@gmail.com'  yLegajo: 20888).
	alumnos add: (Alumno conNombre: 'Tatiana' conApellido: 'Molinari' conDNI: 35999999 conDireccion: 'Lanus' conEmail: 'tatiana@gmail.com'  yLegajo: 20999).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Suarez' conDNI: 36000000 conDireccion: 'Bernal' conEmail: 'cristian@gmail.com'  yLegajo: 21000).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Bouix' conDNI: 36111111 conDireccion: 'Florencio Varela' conEmail: 'chbouix@gmail.com'  yLegajo: 21111).! !

Object subclass: #HomeCarreras
	instanceVariableNames: 'carreras'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeCarreras class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/30/2012 13:01'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:39'!
carreras
	^ carreras! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:39'!
carreras: anObject
	carreras := anObject! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:15'!
get: nombreDeCarrera

	^(self carreras select: [ : carrera | carrera nombre = nombreDeCarrera]) first.! !

!HomeCarreras methodsFor: 'initialization' stamp: 'PabloAlegre 9/29/2012 17:54'!
initialize

	| tpi lds |
	carreras:= OrderedCollection new.
	tpi:= (Carrera llamada: 'TPI').
	tpi materias add: (HomeMaterias current get: 'InPr').
	tpi materias add: (HomeMaterias current get: 'Mate1').
	tpi materias add: (HomeMaterias current get: 'Orga').
	tpi materias add: (HomeMaterias current get: 'Obj1').
	tpi materias add: (HomeMaterias current get: 'BD').
	tpi materias add: (HomeMaterias current get: 'SO').
	tpi materias add: (HomeMaterias current get: 'Obj2').
	tpi materias add: (HomeMaterias current get: 'Redes').
	tpi materias add: (HomeMaterias current get: 'LabSOR').
	tpi materias add: (HomeMaterias current get: 'CIU').
	tpi materias add: (HomeMaterias current get: 'IngSoft').
	tpi materias add: (HomeMaterias current get: 'Mate2').	
	tpi materias add: (HomeMaterias current get: 'DesApp').
	tpi materias do: [ :materia | materia carreras add: tpi].
	carreras add: tpi.
	lds:= (Carrera llamada: 'LDS').
	lds materias addAll: (tpi materias).
	lds materias add: (HomeMaterias current get: 'DerAut').	
	lds materias add: (HomeMaterias current get: 'Obj3').
	lds materias do: [ :materia | materia carreras add: lds].
	carreras add: lds.
	carreras add: (Carrera llamada: 'DPI').! !

Object subclass: #HomeComisiones
	instanceVariableNames: 'comisiones'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeComisiones class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/30/2012 13:01'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:00'!
comisiones
	^ comisiones! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:00'!
comisiones: anObject
	comisiones := anObject! !

!HomeComisiones methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:45'!
comisionesdeMateria: unaMateria
	^ self comisiones select: [ : comision | comision materia = unaMateria].! !

!HomeComisiones methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/24/2012 18:25'!
initialize 

	comisiones:= OrderedCollection new.
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 4 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr')).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).! !

Object subclass: #HomeMaterias
	instanceVariableNames: 'materias'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministracionTPI-Persistencia'!

!HomeMaterias class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/30/2012 13:00'!
current

	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 12:15'!
get: nombreDeMateria

	^(self materias select: [ : materia | materia nombre = nombreDeMateria]) first.! !

!HomeMaterias methodsFor: 'initialization' stamp: 'PabloAlegre 9/29/2012 17:53'!
initialize 

	materias:= OrderedCollection new.
	materias add: (Materia deNombre: 'InPr').
	materias add: (Materia deNombre: 'Orga').
	materias add: (Materia deNombre: 'Mate1').
	materias add: (Materia deNombre: 'Obj1').
	materias add: (Materia deNombre: 'Mate2').
	materias add: (Materia deNombre: 'BD').
	materias add: (Materia deNombre: 'Obj2').
	materias add: (Materia deNombre: 'Redes').
	materias add: (Materia deNombre: 'SO').
	materias add: (Materia deNombre: 'LabSOR').
	materias add: (Materia deNombre: 'CIU').
	materias add: (Materia deNombre: 'IngSoft').
	materias add: (Materia deNombre: 'DesApp').
	materias add: (Materia deNombre: 'DerAut').
	materias add: (Materia deNombre: 'Obj3').! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:43'!
materias
	^ materias! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 9/24/2012 11:43'!
materias: anObject
	materias := anObject! !

Object subclass: #InscribirAlumnoModelo
	instanceVariableNames: 'alumnoAInscribir carrera alumnoOriginal materiasDisponibles materiasSeleccionadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-UI-Modelo'!

!InscribirAlumnoModelo class methodsFor: 'instance creation' stamp: 'NataliaRodriguez 9/30/2012 14:22'!
new

	^super new initialize.! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:51'!
agregarMaterias: listaDeComisiones

listaDeComisiones do: [ : curso | alumnoAInscribir agregarCurso: curso ].! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
alumnoAInscribir
	^ alumnoAInscribir! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
alumnoAInscribir: anObject
	alumnoAInscribir := anObject! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
alumnoOriginal
	^ alumnoOriginal! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
alumnoOriginal: anObject
	alumnoOriginal := anObject! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:55'!
apellidoAlumnoAInscribir
	^self alumnoAInscribir apellido.
! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:56'!
back
	self decoratedComponent answer ! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
carrera
	^ carrera! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 13:50'!
carrera: anObject
	carrera := anObject! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 14:12'!
confirmarInscripcion
	
"self agregarMaterias: materiasSeleccionadas. self save. self back"! !

!InscribirAlumnoModelo methodsFor: 'initialization' stamp: 'NataliaRodriguez 9/30/2012 14:24'!
initialize 

	self alumnoAInscribir: (Alumno conMateriasCursadas).
	self carrera: (HomeCarreras current get: 'TPI').
	self materiasSeleccionadas: (OrderedCollection new).
	self materiasDisponibles: (self materiasDisponiblesParaUnAlumno).! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:55'!
legajoAlumnoAInscribir
	^self alumnoAInscribir legajo asString .
! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:14'!
materiasDisponibles
	^ materiasDisponibles! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:14'!
materiasDisponibles: anObject
	materiasDisponibles := anObject! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:57'!
materiasDisponiblesParaUnAlumno
	^ self carrera materiasDisponiblesPara: self alumnoAInscribir.! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:14'!
materiasSeleccionadas
	^ materiasSeleccionadas! !

!InscribirAlumnoModelo methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/30/2012 14:14'!
materiasSeleccionadas: anObject
	materiasSeleccionadas := anObject! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:54'!
nombreAlumnoAInscribir
	^self alumnoAInscribir nombre.
! !

!InscribirAlumnoModelo methodsFor: 'actions' stamp: 'NataliaRodriguez 9/30/2012 13:51'!
save

	alumnoOriginal become: alumnoAInscribir.! !

Object subclass: #Materia
	instanceVariableNames: 'nombre carreras comisiones correlativas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!Materia class methodsFor: 'class initialization' stamp: 'PabloAlegre 9/26/2012 07:49'!
deNombre: unNombre

	^super new nombre: unNombre; carreras: (OrderedCollection new); comisiones: (OrderedCollection new); correlativas: (OrderedCollection new).! !

!Materia methodsFor: 'comisiones' stamp: 'PabloAlegre 9/23/2012 11:05'!
agregarComision: unaComision

	self comisiones add: unaComision.! !

!Materia methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:15'!
carreras
	^ carreras! !

!Materia methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:15'!
carreras: anObject
	carreras := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
comisiones
	^ comisiones! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
comisiones: anObject
	comisiones := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 17:30'!
correlativas
	^ correlativas! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 17:30'!
correlativas: anObject
	correlativas := anObject! !

!Materia methodsFor: 'comisiones' stamp: 'PabloAlegre 9/23/2012 11:06'!
eliminarComision: unaComision

	self comisiones remove: unaComision.! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
nombre
	^ nombre! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/23/2012 10:56'!
nombre: anObject
	nombre := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:28'!
printOn: aStream

    aStream nextPutAll: (self nombre).
! !

Object subclass: #MateriaCursada
	instanceVariableNames: 'comision estado nota'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI'!

!MateriaCursada class methodsFor: 'class initialization' stamp: 'NataliaRodriguez 9/24/2012 18:03'!
enComision: unaComision

	^super new comision: unaComision; estado: 'En curso'; nota: 0.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 07:31'!
carreras

	^ self comision materia carreras ! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
comision
	^ comision! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
comision: anObject
	comision := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/26/2012 16:09'!
cuatrimestre
	^ self comision cuatrimestre ! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
estado
	^ estado! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
estado: anObject
	estado := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 18:39'!
nombre

	^ self comision materia nombre! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
nota
	^ nota! !

!MateriaCursada methodsFor: 'accessing' stamp: 'NataliaRodriguez 9/24/2012 17:58'!
nota: anObject
	nota := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 9/26/2012 23:38'!
printOn: aStream

	   aStream nextPutAll: (self nombre,' (',self comision cuatrimestre asString,'-',self comision numero asString,')').
! !

Error subclass: #UserException
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-Excepciones'!

UserException subclass: #ExpectedNumberException
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministracionTPI-Excepciones'!

!ExpectedNumberException methodsFor: 'accessing' stamp: 'PabloAlegre 9/27/2012 23:46'!
messageText 

	^'Ingrese un nmero'.! !
